///////////////////////////////////////////////////////////////////////
// Header file: "ConfigMgr.h"
//
// (C) Copyright 2001, RightMark Gathering.  All Rights Reserved.
//
// @Author: Konstantin Mironovich (km) develop@rightmark3d.org
//
// Purpose: interface for the CProfile class
//
// History: 
//   2001/12/21 created. (km)
//
///////////////////////////////////////////////////////////////////////

#pragma once


class CProfile
{
public:
    CProfile(LPCTSTR filename);
   ~CProfile();

    HRESULT QueryValue(int& value, LPCTSTR pValueName);
    HRESULT QueryValue(float& value, LPCTSTR pValueName);
    HRESULT QueryValue(LPTSTR szValue, LPCTSTR pValueName, LPDWORD pcb);
    HRESULT SetValue(int value, LPCTSTR pValueName);
    HRESULT SetValue(float value, LPCTSTR pValueName);
    HRESULT SetValue(LPCTSTR pszValue, LPCTSTR pValueName);
    HRESULT Open(LPCTSTR pFileName);
    HRESULT Close();

private:
    CProfile();
    CString m_strSection;
    CString m_strPath;
};

